Bug 1258596 - [RFE] On repo with "Failed to download x package(s)", give ability to resync repo
[RFE] On repo with "Failed to download x package(s)", give ability to resync ...
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: TP3
: 1.0
Assigned To: Erik Nelson
Tasos Papaioannou
: Triaged
Depends On: 1212024
Blocks: rhci-sprint-14
  Show dependency treegraph
Reported: 2015-08-31 14:28 EDT by Thom Carlin
Modified: 2016-04-29 12:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-08-31 14:28:34 EDT
Description of enhancement:

If a repo receives "Failed to download x package(s)", automatically retry resync a number of times before failing.

Version-Release number of selected component (if applicable):

Tech preview rc-4

Additional info:

Currently, it reports "Sync Complete" but it may not be a complete, workable repo.  This may lead to problems in later tasks (depending on the package(s) that failed to download).
Comment 1 John Matthews 2015-09-24 16:20:52 EDT
Plan is to get this fixed in Pulp, then bring into RHCI with a new Satellite build.
Comment 2 John Matthews 2016-02-15 15:47:01 EST
Our plan is to detect when a repo failed to sync properly and to give the user the option to resync the repo before proceeding with the deployment.
Comment 3 John Matthews 2016-03-23 12:54:53 EDT
In TP3 RC#2
Comment 4 Tasos Papaioannou 2016-03-29 11:50:26 EDT
Verified on QCI-1.0-RHEL-7-20160323.t.0-QCI. Error during content sync from local content mirror with missing rpm displays "Content Error Occurred" with the options to "Abandon Deployment" or "Redeploy". Redeploying is successful after fixing the issue on the content mirror.

Note You need to log in before you can comment on or make changes to this bug.